todo:
- |
    scale by salaries for proportional house contributions
    if bel makes 190k and contributes $190
    equal to z making 140k and contri $140
    so contrib/sal = %of_me_contributed
    ... is that fair tho?
      i think it is--if we both give N%, then 100% of house is covered, so we were hit equally
- ui can create transactions
- combine transactions in /transactions.html
- amend /transactions.html
- cicd including run
scheduled: []
done:
- todo: balances over time window
  ts: Wed Oct 25 08:14:15 MDT 2023
- todo: group acc
  ts: Wed Oct 25 10:06:02 MDT 2023
- todo: group date
  ts: Wed Oct 25 10:06:02 MDT 2023
- todo: = VAL
  ts: Wed Oct 25 10:06:02 MDT 2023
- todo: bpi.dat
  ts: Wed Oct 25 10:06:02 MDT 2023
- todo: = VAL support
  ts: Wed Oct 25 11:30:37 MDT 2023
- todo: html has stacked bar chart version
  ts: Wed Oct 25 12:40:02 MDT 2023
- todo: html version has non-usd assets converted to USD via BPI
  ts: Wed Oct 25 14:14:33 MDT 2023
- todo: html has a predictive line that has first .66 weight 1, next .16 weight 2,
    rest weight 4; inverse of span and cares more about recent; when ?predict
  ts: Wed Oct 25 14:14:33 MDT 2023
- todo: html version has projections based on compounding/non compounding interest
    and rate
  ts: Wed Oct 25 14:15:21 MDT 2023
- todo: html has a predictive line based on compounding interest
  ts: Thu Oct 26 08:02:51 MDT 2023
- todo: html has a predictive line based on stock performance
  ts: Thu Oct 26 08:02:51 MDT 2023
- todo: html has a predictive line based on contributions that has first .66 weight
    1, next .16 weight 2, rest weight 4; inverse of span and cares more about recent;
    when ?predict
  ts: Thu Oct 26 08:02:51 MDT 2023
- todo: cmd to ana
  ts: Fri Oct 27 08:30:22 MDT 2023
- todo: ana/prediction from ana/predictors w/ combo tests
  ts: Fri Oct 27 08:30:22 MDT 2023
- todo: ana/predictor.go better than plain average
  ts: Fri Oct 27 08:30:22 MDT 2023
- todo: http://localhost:8080/bal?likeName=AssetAccount:Cash&chart=stack&predictionMonths=120&predictCompoundingInterest=AssetAccount:Cash=0.02&predictFixedGrowth=VBTLX=0.03&predictFixedGrowth=FSPSX=0.03&predictFixedGrowth=GLD=0.01&bpi=true&predictContributions=true&zoomStart=1023-10&predictWhatIf=2023-10=AssetAccount:Cash=$=-7000
    changes too much when removing 7k from prinicple
  ts: Fri Oct 27 08:30:22 MDT 2023
- todo: html version has fields and submit button rather than query params by hand
  ts: Fri Oct 27 08:30:22 MDT 2023
- todo: ?prediction=autoContributions= OR ?prediction=contributions=x y z&prediction=contribution=x
    y z
  ts: Fri Oct 27 17:24:16 MDT 2023
- todo: ana whatIf
  ts: Fri Oct 27 17:24:16 MDT 2023
- todo: predictions to LINE
  ts: Fri Oct 27 17:24:16 MDT 2023
- todo: ana/predictor.go contributions better than plain average
  ts: Fri Oct 27 18:06:12 MDT 2023
- todo: override contribution prediction
  ts: Fri Oct 27 18:49:37 MDT 2023
- todo: ana/legacy_* drop
  ts: Fri Oct 27 18:50:08 MDT 2023
- todo: require at least N contributions in N months before autoContributions!=0
  ts: Fri Oct 27 19:05:40 MDT 2023
- todo: ?prediction=contributions=x y z&prediction=contribution=x y z
  ts: Fri Oct 27 19:53:44 MDT 2023
- todo: ana/predictor for bpi or de-legacy
  ts: Fri Oct 27 19:53:44 MDT 2023
- todo: predictWhatIf=2023-10=AssetAccount:Cash=$=-7000 changes too much when removing
    7k from prinicple
  ts: Fri Oct 27 20:37:12 MDT 2023
- todo: cicd on not gogs,gitness but gitea
  ts: Fri Oct 27 22:22:04 MDT 2023
- todo: cicd in gitea is hard to get it to build a docker image tho
  ts: Sat Oct 28 09:44:55 MDT 2023
- todo: cicd on not gogs,gitness but gitea; registry-app.inhome.blapointe.com:5001/docker
    stuff
  ts: Sat Oct 28 09:44:55 MDT 2023
- todo: services_docker including gitea cicd
  ts: Sat Oct 28 10:10:08 MDT 2023
- todo: go embed cmd/http/public dir?
  ts: Sat Oct 28 10:40:50 MDT 2023
- todo: html version can accept new transactions for moolah
  ts: Sun Oct 29 10:11:50 MDT 2023
